public static interface LambdaEndpointBuilderFactory.LambdaBuilders
| Modifier and Type | Method and Description |
|---|---|
default LambdaEndpointBuilderFactory.LambdaEndpointBuilder |
awsLambda(String path)
AWS Lambda (camel-aws-lambda)
Manage and invoke AWS Lambda functions.
|
default LambdaEndpointBuilderFactory.LambdaEndpointBuilder |
awsLambda(String componentName,
String path)
AWS Lambda (camel-aws-lambda)
Manage and invoke AWS Lambda functions.
|
default LambdaEndpointBuilderFactory.LambdaEndpointBuilder awsLambda(String path)
aws-lambda:function
Path parameter: function (required)
Name of the Lambda function.path - functiondefault LambdaEndpointBuilderFactory.LambdaEndpointBuilder awsLambda(String componentName, String path)
aws-lambda:function
Path parameter: function (required)
Name of the Lambda function.componentName - to use a custom component name for the endpoint
instead of the default namepath - functionApache Camel